package com.steerinfo.ems.tpmcaseact.model;

import java.util.HashMap;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TPmCaseAct implements IBasePO<HashMap<String, Object>> {
    /**
     * 时间粒度(TIMEGRANID,VARCHAR,60)
     */
    @ApiModelProperty(value="时间粒度",required=false)
    private String timegranid;

    /**
     * 项目ID(ITEMID,VARCHAR,100)
     */
    @ApiModelProperty(value="项目ID",required=false)
    private String itemid;

    /**
     * 方案代码(CASEID,VARCHAR,40)
     */
    @ApiModelProperty(value="方案代码",required=true)
    private String caseid;

    /**
     * 显示顺序(SEQNO,VARCHAR,10)
     */
    @ApiModelProperty(value="显示顺序",required=true)
    private String seqno;

    private static final long serialVersionUID = 1L;

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getSeqno() {
        return seqno;
    }

    public void setSeqno(String seqno) {
        this.seqno = seqno == null ? null : seqno.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", timegranid=").append(timegranid);
        sb.append(", itemid=").append(itemid);
        sb.append(", caseid=").append(caseid);
        sb.append(", seqno=").append(seqno);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
    
    @Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("itemid", itemid);
		m.put("timegranid", timegranid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
}